Ordexs API v1 Get an API key

Collections

Duplicate a collection

POSThttps://api.ordexs.com/v1/collections/{collection_id}/duplicate

A draft copy with the same products or conditions.

Path parameters

  • collection_idstringRequired

    starts with col_

Returns

201 Created · The copy. Collection

  • idstring

    starts with col_

  • objectstring

    always "collection"

  • titlestring
  • handlestring
  • descriptionstring or null
  • image_urlstring or null
  • statusstring

    One of active, draft

  • kindstring

    One of manual, smart

  • rulesarray of CollectionRules
    3 child fields
    • fieldstringRequired

      One of title, vendor, product_type, category, status, tag, price, compare_at_price, inventory

    • opstringRequired

      One of eq, neq, contains, not_contains, starts_with, ends_with, is_set, is_not_set, gt, lt

    • valuestring

      up to 200 characters

  • rules_matchstring

    One of all, any

  • sort_modestring
  • positioninteger
  • product_countinteger
  • seoobject
    2 child fields
    • titlestring or null
    • descriptionstring or null
  • livemodeboolean
  • created_atstring

    ISO 8601 date-time, UTC

  • updated_atstring

    ISO 8601 date-time, UTC

Errors

Every error has the same shape. This endpoint can answer with: